- Qt 6.8
- Qt GUI
- C++ Classes
- QEnterEvent
- Qt 6.8.3 Reference Documentation

# QEnterEvent Class

The QEnterEvent class contains parameters that describe an enter event. More...

Header: | `#include <QEnterEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QSinglePointEvent

- List of all members, including inherited members
- Deprecated members
- QEnterEvent is part of Event Classes.

## Public Functions

| QEnterEvent(const QPointF &localPos, const QPointF &scenePos, const QPointF &globalPos, const QPointingDevice *device = QPointingDevice::primaryPointingDevice())

## Detailed Description

Enter events occur when the mouse cursor enters a window or a widget.

## Member Function Documentation

### QEnterEvent::QEnterEvent(const QPointF &localPos, const QPointF &scenePos, const QPointF &globalPos, const QPointingDevice *device = QPointingDevice::primaryPointingDevice())

Constructs an enter event object originating from device.

The points localPos, scenePos and globalPos specify the mouse cursor's position relative to the receiving widget or item, window, and screen or desktop, respectively.